Page MenuHomePhabricator

Make New Topic Tool (desktop) available as opt-out feature at all wikis
Open, Needs TriagePublic

Description

Deployments

Phases defined in T287804

Deployment phases

Below are the phases in which we *plan* to offer the New Discussion Tool as an opt-out feature at all projects. As with all deployments, this plan could change depending on what emerges in the conversations with volunteers at these projects.

PhaseProjectsDeployment ticket
Phase 1Wikipedias: Arabic and Czech (T280390)T285724
Phase 2Wikipedias that participated in the A/B test (list in T281533)T307410
Phase 3Remaining small-to-medium Wikipedias, plus all single-language non-Wikipedias (e.g., the Wikiquotes and Wikivoyages) – not enwiki, dewiki, ruwiki, fiwikiT309368
Phase 4All multi-lingual projects (e.g., Commons and Wikidata). (Result: all WMF-hosted wikis except enwiki, dewiki, ruwiki, fiwikiT310392
Phase 5English WikipediaT311023
Phase 6German Wikipedia (Result: all WMF-hosted wikis except ruwiki, fiwiki)
Phase 7ru.wik and fi.wikiru.wiki: ✅ T297410; fi.wiki: T317375

As of 24 July 2022, the Finnish and Russian-language Wikipedias still didn't have the Reply Tool which blocks the deployment of the New Topic Tool. As of September 2022, both had the Reply tool, and Russian had the New Topic Tool.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
Resolved LZaman
Resolvedmatmarex
Resolvedppelberg
Resolvedmatmarex
Resolvedmatmarex
ResolvedRyasmeen
ResolvedEsanders
ResolvedEsanders
InvalidNone
DuplicateNone
Resolvedppelberg
Resolvedppelberg
Resolvedppelberg
Resolvedppelberg
ResolvedRyasmeen
Resolvedppelberg
ResolvedWhatamidoing-WMF
Resolvedmatmarex
Resolvedmatmarex
Resolvedppelberg
Resolved iamjessklein
Resolvedppelberg
Resolvedmatmarex
ResolvedWhatamidoing-WMF
Resolvedppelberg
Resolvedppelberg
Resolvedppelberg
ResolvedEsanders
ResolvedWhatamidoing-WMF
ResolvedWhatamidoing-WMF
ResolvedDLynch
Resolvedmatmarex
ResolvedWhatamidoing-WMF
Resolvedppelberg
Resolvedmatmarex
Resolvedmatmarex
ResolvedDLynch
Resolvedmatmarex
ResolvedDLynch
ResolvedDLynch
ResolvedDLynch
ResolvedRyasmeen
Resolvedppelberg
Resolvedppelberg
ResolvedRyasmeen
Resolvedmatmarex
ResolvedEsanders
Resolvedmatmarex
ResolvedWhatamidoing-WMF
ResolvedWhatamidoing-WMF
Resolvedppelberg
Resolvedmatmarex
ResolvedWhatamidoing-WMF
ResolvedWhatamidoing-WMF
Resolvedmatmarex
ResolvedWhatamidoing-WMF
Resolvedmatmarex
ResolvedWhatamidoing-WMF
DuplicateNone
DeclinedMNeisler
OpenNone
Openmatmarex
ResolvedRyasmeen
Resolvedppelberg
ResolvedEsanders
OpenNone
OpenNone
Resolvedppelberg
Resolvedppelberg
OpenWhatamidoing-WMF
Resolvedmatmarex
Resolvedmatmarex
Resolvedppelberg
Resolvedmpopov
ResolvedMNeisler
ResolvedDLynch
ResolvedWhatamidoing-WMF
ResolvedRyasmeen
Resolvedppelberg
Resolvedppelberg
ResolvedDLynch
Resolvedppelberg
ResolvedDLynch
Resolvedppelberg
Resolvedppelberg
Resolvedmatmarex
ResolvedBUG REPORTmatmarex
Resolvedppelberg
ResolvedDLynch
ResolvedWhatamidoing-WMF
Resolvedppelberg
ResolvedSpikeMNeisler
Resolvedppelberg
ResolvedDLynch
ResolvedWhatamidoing-WMF
Resolvedppelberg
DeclinedMNeisler
ResolvedDLynch
OpenNone
Resolvedppelberg
OpenNone
Resolvedmatmarex
Resolvedmatmarex
ResolvedEpicPupper
OpenNone
Resolvedmatmarex
ResolvedRyasmeen

Event Timeline

tstarling closed subtask Restricted Task as Invalid.Apr 8 2021, 10:18 PM
ppelberg renamed this task from Make New Discussion Tool available as opt-out feature at all wikis to Make New Discussion Tool (desktop) available as opt-out feature at all wikis.Jan 21 2022, 8:07 PM
ppelberg updated the task description. (Show Details)
ppelberg renamed this task from Make New Discussion Tool (desktop) available as opt-out feature at all wikis to Make New Topic Tool (desktop) available as opt-out feature at all wikis.Mar 24 2022, 12:21 AM

@ppelberg, I think we can close this. Fiwiki still needs a discussion about T317375: [Config change] Deploy New Topic Tool as opt-out preference at fi.wiki (desktop) but the "plan" part of this is done.